package application;

import javafx.application.Application;
import javafx.scene.Scene;
import javafx.scene.control.Alert;
import javafx.scene.control.ButtonType;
import javafx.scene.control.Alert.AlertType;
import javafx.stage.Stage;

public class Main extends Application
{
	public void start(Stage primaryStage)
	{
		try
		{
//			Scene scene = new Scene(new RootGridPane_Handler1_EinerFuerAlles(), 400, 400);
//			Scene scene = new Scene(new RootGridPane_Handler2_MehrereFuerJeEines(), 400, 400);			
//			Scene scene = new Scene(new RootGridPane_Handler3_MehrereKuerzereSchreibweise(), 400, 400);
//			Scene scene = new Scene(new RootGridPane_Handler4_anonymeHandler(), 400, 400);
			Scene scene = new Scene(new RootGridPane_Handler5_setOnAction(), 400, 400);
			primaryStage.setScene(scene);
//			primaryStage.setMaxWidth(400);
//			primaryStage.setMaxHeight(400);
			primaryStage.setTitle("Erstes Fenster");
			primaryStage.show();
		}
		catch (Exception e)
		{
			showAlert(AlertType.ERROR, e.getMessage());
		}
	}
	private static void showAlert(AlertType alertType, String message)
	{
		Alert alert = new Alert(alertType, message, ButtonType.OK);
		alert.setHeaderText(null);
		alert.setTitle("Achtung!");
		alert.showAndWait();
	}
	//-------------------------------------------------------------------------
	public static void main(String[] args)
	{
		launch(args);
	}
}
