package application;

import javafx.application.Platform;
import javafx.event.ActionEvent;
import javafx.event.EventHandler;
import javafx.geometry.HPos;
import javafx.geometry.Insets;
import javafx.geometry.Pos;
import javafx.geometry.VPos;
import javafx.scene.control.Alert;
import javafx.scene.control.Button;
import javafx.scene.control.ButtonType;
import javafx.scene.control.Label;
import javafx.scene.control.Alert.AlertType;
import javafx.scene.layout.FlowPane;
import javafx.scene.layout.GridPane;

public class RootGridPane_Handler2_MehrereFuerJeEines extends GridPane
{
	private FlowPane flowPane;
	private Button button1, button2, button3, button4, button5, button6, button7, button8;
	
	public RootGridPane_Handler2_MehrereFuerJeEines()
	{
			initComponents();
			addComponents();
			initHandlers();
	}
	
	private void initComponents()
	{
		button1 = new Button("Button1");
		button2 = new Button("Laden-Button");
		button3 = new Button("..und tschss...");
		button4 = new Button("Button vier");
		button5 = new Button("Button5");
		button6 = new Button("Button6");
		button7 = new Button("Button sieben");
		button8 = new Button("Button acht");

		button1.setPrefSize(100, 100);
		button1.setAlignment(Pos.BOTTOM_RIGHT);
		GridPane.setHalignment(button1, HPos.CENTER);
		GridPane.setValignment(button1, VPos.BOTTOM);
//		button1.setPrefSize(200, 200);
		button2.setPrefSize(200, 200);
		button2.setAlignment(Pos.TOP_CENTER);
		button3.setPrefSize(200, 200);
		button3.setAlignment(Pos.BOTTOM_LEFT);
		
		flowPane = new FlowPane();
		flowPane.setPrefSize(200, 200);
		flowPane.setPadding(new Insets(10,10,10,10));
		flowPane.setVgap(10);
		flowPane.setHgap(10);
		flowPane.setAlignment(Pos.CENTER);
	}
	private void addComponents()
	{
		flowPane.getChildren().addAll(button4, button5, button6, button7, button8);
		
		add(button1, 0, 0);
		add(button2, 1, 0);
		add(button3, 0, 1);		
		add(flowPane, 1, 1);
		
		Label label = new Label("Das ist jetzt ein richtig fettes Label, das ber zwei Spalten reicht");
//		label.setPrefWidth(200);
		add(label, 0, 2, 2, 1);
//		rootadd(label, 0	, 2);
//		GridPane.setHalignment(label, HPos.CENTER);
	}
	private void initHandlers()
	{
		MyButton1EventHandler b1Handler = new MyButton1EventHandler();
		button1.setOnAction( b1Handler );
		MyLadenButtonEventHandler ladenHandler = new MyLadenButtonEventHandler();
		button2.setOnAction( ladenHandler );
		MyExitButtonEventHandler exitHandler = new MyExitButtonEventHandler();
		button3.setOnAction( exitHandler );
//		usw.
	}
	private void showAlert(AlertType alertType, String titel, String text)
	{
		Alert alert = new Alert(alertType, text, ButtonType.OK);
		alert.setHeaderText(null);
		alert.setTitle(titel);
		alert.showAndWait();
	}

//-------------------------- EventHandler ---------------------------------------
		public class MyButton1EventHandler implements EventHandler<ActionEvent> 
		{
			public void handle(ActionEvent event)
			{
					showAlert(AlertType.INFORMATION, "Hinweis",  "Bin Button 1");
			}				
		}
		public class MyLadenButtonEventHandler implements EventHandler<ActionEvent> 
		{
			public void handle(ActionEvent event)
			{
					showAlert(AlertType.INFORMATION, "Hinweis",  "Starte jetzt das Laden...");
			}				
		}
		public class MyExitButtonEventHandler implements EventHandler<ActionEvent> 
		{
			public void handle(ActionEvent event)
			{
					Platform.exit();
			}				
		}
}
